Bug 856585 - [RFE] rhevm-cli: auto completion continues to show option even if this option was selected before
[RFE] rhevm-cli: auto completion continues to show option even if this option...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
Ilia Meerovich
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 07:15 EDT by Ilia Meerovich
Modified: 2016-02-10 14:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 11:28:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilia Meerovich 2012-09-12 07:15:50 EDT
Please take a look - even if domain-name selected, auto-completion continues to show this option and auto completes it:

[RHEVM shell (connected)]# create vm 
cluster-id                         description                        expect                             os-boot                            placement_policy-affinity          template-name
cluster-name                       disks-clone                        high_availability-enabled          os-cmdline                         placement_policy-host-id           timezone
correlation_id                     display-allow_reconnect            high_availability-priority         os-initRd                          placement_policy-host-name         type
cpu-topology-cores                 display-monitors                   memory                             os-kernel                          quota-id                           usb-enabled
cpu-topology-sockets               display-type                       name                               os-type                            stateless                          usb-type
custom_properties-custom_property  domain-name                        origin                             payloads-payload                   template-id                        
[RHEVM shell (connected)]# create vm --domain-name 
cluster-id                         description                        expect                             os-boot                            placement_policy-affinity          template-name
cluster-name                       disks-clone                        high_availability-enabled          os-cmdline                         placement_policy-host-id           timezone
correlation_id                     display-allow_reconnect            high_availability-priority         os-initRd                          placement_policy-host-name         type
cpu-topology-cores                 display-monitors                   memory                             os-kernel                          quota-id                           usb-enabled
cpu-topology-sockets               display-type                       name                               os-type                            stateless                          usb-type
custom_properties-custom_property  domain-name                        origin                             payloads-payload                   template-id                        
[RHEVM shell (connected)]# create vm --domain-name --domain-name 
cluster-id                         description                        expect                             os-boot                            placement_policy-affinity          template-name
cluster-name                       disks-clone                        high_availability-enabled          os-cmdline                         placement_policy-host-id           timezone
correlation_id                     display-allow_reconnect            high_availability-priority         os-initRd                          placement_policy-host-name         type
cpu-topology-cores                 display-monitors                   memory                             os-kernel                          quota-id                           usb-enabled
cpu-topology-sockets               display-type                       name                               os-type                            stateless                          usb-type
custom_properties-custom_property  domain-name                        origin                             payloads-payload                   template-id                        
[RHEVM shell (connected)]# create vm --domain-name --domain-name 


Version-Release number of selected component (if applicable):
rhevm-sdk-3.1.0.8-1.el6ev.noarch
rhevm-cli-3.1.0.12-1.el6ev.noarch
Comment 4 Itamar Heim 2014-06-16 11:28:46 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.